package com.ruoyi.project.service;

import java.util.List;
import com.ruoyi.project.domain.TrsTechnicalWords;

/**
 * 专业术语Service接口
 * 
 * @author ruoyi
 * @date 2025-03-21
 */
public interface ITrsTechnicalWordsService 
{
    /**
     * 查询专业术语
     * 
     * @param id 专业术语主键
     * @return 专业术语
     */
    public TrsTechnicalWords selectTrsTechnicalWordsById(Long id);

    /**
     * 查询专业术语列表
     * 
     * @param trsTechnicalWords 专业术语
     * @return 专业术语集合
     */
    public List<TrsTechnicalWords> selectTrsTechnicalWordsList(TrsTechnicalWords trsTechnicalWords);

    /**
     * 新增专业术语
     * 
     * @param trsTechnicalWords 专业术语
     * @return 结果
     */
    public int insertTrsTechnicalWords(TrsTechnicalWords trsTechnicalWords);

    /**
     * 修改专业术语
     * 
     * @param trsTechnicalWords 专业术语
     * @return 结果
     */
    public int updateTrsTechnicalWords(TrsTechnicalWords trsTechnicalWords);

    /**
     * 批量删除专业术语
     * 
     * @param ids 需要删除的专业术语主键集合
     * @return 结果
     */
    public int deleteTrsTechnicalWordsByIds(String ids);

    /**
     * 删除专业术语信息
     * 
     * @param id 专业术语主键
     * @return 结果
     */
    public int deleteTrsTechnicalWordsById(Long id);

    String importWords(List<TrsTechnicalWords> wordList, boolean updateSupport);
}
